package com.mortals.xhx.module.staff.dao.ibatis;


import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.module.staff.dao.StaffCareDao;
import com.mortals.xhx.module.staff.model.StaffCareEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
/**
 * 员工关怀信息DaoImpl DAO接口
 *
 * @author zxfei
 * @date 2023-04-07
 */
@Repository("staffCareDao")
public class StaffCareDaoImpl extends BaseCRUDDaoMybatis<StaffCareEntity,Long> implements StaffCareDao {


    @Override
    public List<StaffCareEntity> getStaffCareList(StaffCareEntity query) {
        return this.getSqlSession().selectList(this.getSqlId("getStaffCareList"), query);
    }

    @Override
    public int getStaffCareListCount(StaffCareEntity query) {
        return (Integer)this.getSqlSession().selectOne(this.getSqlId("getStaffCareListCount"), query);
    }

    @Override
    public int initSendStatus() {
        return this.getSqlSession().update(this.getSqlId("initSendStatus"));
    }


}
